paramsBinaryFileName = 'databaseModelCIFAR10.m.params';
stateBinaryFileName = '';

cnn.params.count = 0;
cnn.params.batchSize = 100;
cnn.params.epoch = 1;
cnn.params.learningRate =        0.001000;
cnn.params.momentum =        0.900000;
cnn.params.phase = 0;
cnn.params.allocatorLevel = 0;
cnn.params.costType = 0;

layerNum = 13;
cnn.layer(1).id = 1;
cnn.layer(1).type = 0;
cnn.layer(1).row = 32;
cnn.layer(1).col = 32;
cnn.layer(1).channel = 3;
cnn.layer(1).inputParams.row = 32;
cnn.layer(1).inputParams.col = 32;
cnn.layer(1).inputParams.channel = 3;
cnn.layer(1).inputParams.scale =        1.000000;
cnn.layer(1).inputParams.trainingCropType = 0;
cnn.layer(1).inputParams.trainingMirrorType = 1;
cnn.layer(1).inputParams.testingCropType = 0;
cnn.layer(1).inputParams.testingMirrorType = 1;

cnn.layer(2).id = 2;
cnn.layer(2).type = 1;
cnn.layer(2).row = 32;
cnn.layer(2).col = 32;
cnn.layer(2).channel = 32;
cnn.layer(2).convParams.kernelRow = 5;
cnn.layer(2).convParams.kernelCol = 5;
cnn.layer(2).convParams.padUp = 2;
cnn.layer(2).convParams.padDown = 2;
cnn.layer(2).convParams.padLeft = 2;
cnn.layer(2).convParams.padRight = 2;
cnn.layer(2).convParams.strideX = 1;
cnn.layer(2).convParams.strideY = 1;
cnn.layer(2).convParams.inputFeatureMapChannel = 3;
cnn.layer(2).convParams.outputFeatureMapChannel = 32;
cnn.layer(2).convParams.type = 1;
cnn.layer(2).convParams.kernelDecayFactor =        1.000000;
cnn.layer(2).convParams.kernelInit.type = 3;
cnn.layer(2).convParams.kernelLearningFactor =       1.000000;
cnn.layer(2).convParams.biasInit.type = 0;
cnn.layer(2).convParams.biasLearningFactor =       1.000000;

cnn.layer(3).id = 3;
cnn.layer(3).type = 2;
cnn.layer(3).row = 16;
cnn.layer(3).col = 16;
cnn.layer(3).channel = 32;
cnn.layer(3).poolingParams.type = 0;
cnn.layer(3).poolingParams.scaleRow = 3;
cnn.layer(3).poolingParams.scaleCol = 3;
cnn.layer(3).poolingParams.padUp = 0;
cnn.layer(3).poolingParams.padDown = 0;
cnn.layer(3).poolingParams.padLeft = 0;
cnn.layer(3).poolingParams.padRight = 0;
cnn.layer(3).poolingParams.strideX = 2;
cnn.layer(3).poolingParams.strideY = 2;

cnn.layer(4).id = 4;
cnn.layer(4).type = 3;
cnn.layer(4).row = 16;
cnn.layer(4).col = 16;
cnn.layer(4).channel = 32;
cnn.layer(4).nonlinearParams.type = 3;

cnn.layer(5).id = 5;
cnn.layer(5).type = 1;
cnn.layer(5).row = 16;
cnn.layer(5).col = 16;
cnn.layer(5).channel = 32;
cnn.layer(5).convParams.kernelRow = 5;
cnn.layer(5).convParams.kernelCol = 5;
cnn.layer(5).convParams.padUp = 2;
cnn.layer(5).convParams.padDown = 2;
cnn.layer(5).convParams.padLeft = 2;
cnn.layer(5).convParams.padRight = 2;
cnn.layer(5).convParams.strideX = 1;
cnn.layer(5).convParams.strideY = 1;
cnn.layer(5).convParams.inputFeatureMapChannel = 32;
cnn.layer(5).convParams.outputFeatureMapChannel = 32;
cnn.layer(5).convParams.type = 1;
cnn.layer(5).convParams.kernelDecayFactor =        1.000000;
cnn.layer(5).convParams.kernelInit.type = 3;
cnn.layer(5).convParams.kernelLearningFactor =       1.000000;
cnn.layer(5).convParams.biasInit.type = 0;
cnn.layer(5).convParams.biasLearningFactor =       1.000000;

cnn.layer(6).id = 6;
cnn.layer(6).type = 3;
cnn.layer(6).row = 16;
cnn.layer(6).col = 16;
cnn.layer(6).channel = 32;
cnn.layer(6).nonlinearParams.type = 3;

cnn.layer(7).id = 7;
cnn.layer(7).type = 2;
cnn.layer(7).row = 8;
cnn.layer(7).col = 8;
cnn.layer(7).channel = 32;
cnn.layer(7).poolingParams.type = 1;
cnn.layer(7).poolingParams.scaleRow = 3;
cnn.layer(7).poolingParams.scaleCol = 3;
cnn.layer(7).poolingParams.padUp = 0;
cnn.layer(7).poolingParams.padDown = 0;
cnn.layer(7).poolingParams.padLeft = 0;
cnn.layer(7).poolingParams.padRight = 0;
cnn.layer(7).poolingParams.strideX = 2;
cnn.layer(7).poolingParams.strideY = 2;

cnn.layer(8).id = 8;
cnn.layer(8).type = 1;
cnn.layer(8).row = 8;
cnn.layer(8).col = 8;
cnn.layer(8).channel = 64;
cnn.layer(8).convParams.kernelRow = 5;
cnn.layer(8).convParams.kernelCol = 5;
cnn.layer(8).convParams.padUp = 2;
cnn.layer(8).convParams.padDown = 2;
cnn.layer(8).convParams.padLeft = 2;
cnn.layer(8).convParams.padRight = 2;
cnn.layer(8).convParams.strideX = 1;
cnn.layer(8).convParams.strideY = 1;
cnn.layer(8).convParams.inputFeatureMapChannel = 32;
cnn.layer(8).convParams.outputFeatureMapChannel = 64;
cnn.layer(8).convParams.type = 1;
cnn.layer(8).convParams.kernelDecayFactor =        1.000000;
cnn.layer(8).convParams.kernelInit.type = 3;
cnn.layer(8).convParams.kernelLearningFactor =       1.000000;
cnn.layer(8).convParams.biasInit.type = 0;
cnn.layer(8).convParams.biasLearningFactor =       1.000000;

cnn.layer(9).id = 9;
cnn.layer(9).type = 3;
cnn.layer(9).row = 8;
cnn.layer(9).col = 8;
cnn.layer(9).channel = 64;
cnn.layer(9).nonlinearParams.type = 3;

cnn.layer(10).id = 10;
cnn.layer(10).type = 2;
cnn.layer(10).row = 4;
cnn.layer(10).col = 4;
cnn.layer(10).channel = 64;
cnn.layer(10).poolingParams.type = 1;
cnn.layer(10).poolingParams.scaleRow = 3;
cnn.layer(10).poolingParams.scaleCol = 3;
cnn.layer(10).poolingParams.padUp = 0;
cnn.layer(10).poolingParams.padDown = 0;
cnn.layer(10).poolingParams.padLeft = 0;
cnn.layer(10).poolingParams.padRight = 0;
cnn.layer(10).poolingParams.strideX = 2;
cnn.layer(10).poolingParams.strideY = 2;

cnn.layer(11).id = 11;
cnn.layer(11).type = 4;
cnn.layer(11).row = 1;
cnn.layer(11).col = 1;
cnn.layer(11).channel = 64;
cnn.layer(11).linearParams.dim = 64;
cnn.layer(11).linearParams.prevDim = 1024;
cnn.layer(11).linearParams.weightDecayFactor =        1.000000;
cnn.layer(11).linearParams.weightInit.type = 3;
cnn.layer(11).linearParams.weightLearningFactor =       1.000000;
cnn.layer(11).linearParams.biasInit.type = 0;
cnn.layer(11).linearParams.biasLearningFactor =       1.000000;

cnn.layer(12).id = 12;
cnn.layer(12).type = 4;
cnn.layer(12).row = 1;
cnn.layer(12).col = 1;
cnn.layer(12).channel = 10;
cnn.layer(12).linearParams.dim = 10;
cnn.layer(12).linearParams.prevDim = 64;
cnn.layer(12).linearParams.weightDecayFactor =        1.000000;
cnn.layer(12).linearParams.weightInit.type = 3;
cnn.layer(12).linearParams.weightLearningFactor =       1.000000;
cnn.layer(12).linearParams.biasInit.type = 0;
cnn.layer(12).linearParams.biasLearningFactor =       1.000000;

cnn.layer(13).id = 13;
cnn.layer(13).type = 3;
cnn.layer(13).row = 1;
cnn.layer(13).col = 1;
cnn.layer(13).channel = 10;
cnn.layer(13).nonlinearParams.type = 1;

